[(#SESSION{statut}|=={0minirezo}|=={1comite}|non)[(#SET{afficher_bouton,'display:none;'})]]
<div id="spip-admin-trigger"></div>
<div[ class="(#ENV{divclass,spip-admin-bloc})"] id='spip-admin' dir="#LANG_DIR">
	<nav class="spip-admin-wrapper">
		<ul class="spip-admin-menu">[
			<li class="spip-admin-item">
				<a href="(#ENV{analyser})" class="spip-admin-boutons" id="analyser">
					<:analyse_xml:>[ ((#ENV{xhtml_error}))]
				</a>
			</li>][(#ENV{objet}|oui)
			<li class="spip-admin-item">
					[<a href="[(#ENV{voir_#ENV{objet}})]" class="spip-admin-boutons" id="voir_#ENV{objet}">
						[(#ENV{objet}|objet_info{texte_objet}|_T)]
						((#ENV{id_objet}))
					</a>]
					[<ul class="spip-admin-menu-liste">
						<li><a href="#">(#COMPOSITION{#ENV{objet},#ENV{id_objet}})</a></li>
					</ul>]
				</li>]
			<li class="spip-admin-item"><a href="[(#SELF|parametre_url{var_mode,#ENV{calcul}})]" class="spip-admin-boutons"
				id="var_mode"><:admin_recalculer:>[(#ENV{use_cache})]</a></li>
			[<li class="spip-admin-item">
				<a href="(#ENV{preview})" class="spip-admin-boutons"
				id="preview"><:previsualisation:></a></li>]
			[(#SESSION{prefs/activer_menudev}|=={oui}|oui)
			<li class="spip-admin-item">
				<a href="#" class="spip-admin-boutons">Debug</a>
				[(#ENV{debug})]
				<ul class="spip-admin-menu-liste">
					<li><a href="[(#SELF|parametre_url{var_mode,debug})]">debug</a></li>
					<li><a href="[(#SELF|parametre_url{var_profile,1}|parametre_url{var_mode,recalcul})]">Profile</a></li>
					<li><a href="[(#SELF|parametre_url{var_mode,inclure})]">Inclure</a></li>
					<li><a href="[(#SELF|parametre_url{var_mode,traduction})]">Trad</a></li>
					<li><a href="#" id="admin_forum" class="u-icn"><:fragments_core:bouton_admin_forum:></a></li>
					[(#PLUGIN{scssphp}|oui)<li><a
					href="[(#SELF|parametre_url{var_mode,css})]"><:debug_mode_css:></a></li>]
				</ul>
			</li>]
			<li class="spip-admin-item"><a href="/ecrire" class="spip-admin-boutons" id="ecrire"><:espace_prive:></a></li>
		</ul>
	</nav>
</div>
<script>
;if (window.jQuery)
(function($){
	$.fn.masquer_boutons = function(valeur, trigger){
			if(valeur=="hidden"){
					this.css({"visibility":"hidden","display":"none"});
					trigger.removeClass('icn_hide');
					trigger.addClass('icn_show');
			}
			else if (valeur=="visible"){
					this.css({"visibility":"visible","display":"block"});
					trigger.removeClass('icn_show');
					trigger.addClass('icn_hide');
			}
			Cookies.set("etat_des_boutons",valeur,{ expires: 7 });
	};

	$.fn.masquer_admin_forum = function(valeur, trigger){
			if(valeur=="hidden" && trigger[0]){
					trigger[0].innerHTML = '<:fragments_core:bouton_afficher_forum:>' ;
					trigger.removeClass('forum');
					trigger.addClass('forum-off');
					$('.spip-admin.modererforum').fadeOut();
			}
			else if (valeur=="visible" && trigger[0]){
					trigger[0].innerHTML = '<:fragments_core:bouton_masquer_forum:>' ;
					trigger.removeClass('forum-off');
					trigger.addClass('forum');
					$('.spip-admin.modererforum').fadeIn();
			}
			Cookies.set('admin_forum', valeur, { expires: 7 });
	};

	function quitter(url_quitter){
        if(confirm('Voulez-vous quitter la session ?')){
                window.location.href=url_quitter;
        }
	}


	if(!Cookies.get('admin_forum') || Cookies.get('admin_forum')===undefined){
		Cookies.set('admin_forum', 'visible', { expires: 7 });
		// console.log(Cookies.get('admin_forum'));
	}
	if(!Cookies.get('etat_des_boutons') || Cookies.get('etat_des_boutons')===undefined){
		Cookies.set('etat_des_boutons', 'visible', { expires: 7 });
		// console.log(Cookies.get('etat_des_boutons'));
	}

	var admin_forum = Cookies.get('admin_forum');
	var etat = Cookies.get('etat_des_boutons');

	var btn_showhide = $("#spip-admin-trigger");
	var btn_admin_forum = $("#admin_forum");
	//var statut_fixe = Cookies.get("statut_fixe");


	$('.spip-admin-float').masquer_boutons(etat, btn_showhide);
	$('.spip-admin-float').masquer_admin_forum(admin_forum,btn_admin_forum);


	// Action changement d'etat
	$("#spip-admin-trigger").on('click',function(e){
		old_state = Cookies.get("etat_des_boutons");
		//console.log('OldState : '+ old_state);
		if(old_state == 'visible') etat = 'hidden';
		else if(old_state == 'hidden') etat = 'visible';
		//console.log('NewState : '+ etat);
		$('.spip-admin-float').animate({
        width: "toggle",
				opacity: "toggle"
    }, function(){
				$(this).masquer_boutons(etat, btn_showhide);
		});
		e.preventDefault();
	});

	$('#admin_forum').on('click',function(e){
			(Cookies.get("admin_forum") == 'visible') ? admin_forum = 'hidden': admin_forum = 'visible';
			$(this).masquer_admin_forum(admin_forum,btn_admin_forum);
	});

})(jQuery);

</script>
